be.ehealth.technicalconnector.generic.session

## Interface GenericService

- All Known Implementing Classes:
    GenericServiceImpl

      public interface GenericService

  Generice Service. Default impl : `GenericServiceImpl` Factory : `GenericSessionServiceFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `GenericResponse` | `send(GenericRequest request)`
    `Node` | `sendDocument(Document payload, String endpoint)`
    `Node` | `sendDocument(Document payload, String endpoint, String soapAction)`
    `Node` | `sendDocument(Document payload, URL endpoint)`
    `Node` | `sendDocument(Document payload, URL endpoint, String soapAction)`
    `String` | `sendXML(String payload, String endpoint)`
    `String` | `sendXML(String payload, String endpoint, String soapAction)`
    `String` | `sendXML(String payload, URL endpoint)`
    `String` | `sendXML(String payload, URL endpoint, String soapAction)`

- - ### Method Detail

    - #### send

          GenericResponse send(GenericRequest request)
                        throws TechnicalConnectorException

      Parameters:
        `request` -
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### sendXML

          String sendXML(String payload,
                         URL endpoint)
                  throws TechnicalConnectorException

      Parameters:
        `payload` -
        `endpoint` -
      Returns:
        String Response
      Throws:
        `TechnicalConnectorException`
        `SessionManagementException`

    - #### sendXML

          String sendXML(String payload,
                         String endpoint)
                  throws TechnicalConnectorException

      Parameters:
        `payload` -
        `endpoint` -
      Returns:
        String response
      Throws:
        `TechnicalConnectorException`

    - #### sendDocument

          Node sendDocument(Document payload,
                            String endpoint)
                     throws TechnicalConnectorException

      Parameters:
        `payload` -
        `endpoint` -
      Returns:
        Node of the result
      Throws:
        `TechnicalConnectorException`

    - #### sendDocument

          Node sendDocument(Document payload,
                            URL endpoint)
                     throws TechnicalConnectorException

      Parameters:
        `payload` -
        `endpoint` -
      Returns:
        Node of the result
      Throws:
        `TechnicalConnectorException`
        `SessionManagementException`

    - #### sendXML

          String sendXML(String payload,
                         URL endpoint,
                         String soapAction)
                  throws TechnicalConnectorException

      Parameters:
        `payload` -
        `endpoint` -
        `soapAction` -
      Returns:
        String Response
      Throws:
        `TechnicalConnectorException`
        `SessionManagementException`

    - #### sendXML

          String sendXML(String payload,
                         String endpoint,
                         String soapAction)
                  throws TechnicalConnectorException

      Parameters:
        `payload` -
        `endpoint` -
        `soapAction` -
      Returns:
        String response
      Throws:
        `TechnicalConnectorException`
        `SessionManagementException`

    - #### sendDocument

          Node sendDocument(Document payload,
                            String endpoint,
                            String soapAction)
                     throws TechnicalConnectorException

      Parameters:
        `payload` -
        `endpoint` -
        `soapAction` -
      Returns:
        Node of the result
      Throws:
        `TechnicalConnectorException`
        `SessionManagementException`

    - #### sendDocument

          Node sendDocument(Document payload,
                            URL endpoint,
                            String soapAction)
                     throws TechnicalConnectorException

      Parameters:
        `payload` -
        `endpoint` -
        `soapAction` -
      Returns:
        Node of the result
      Throws:
        `TechnicalConnectorException`
        `SessionManagementException`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.